﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Creating New Analytics Version 1 Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating New Analytics Version 1 Controls</h1>
        <p>You can create an analytics control using one of the following methods:</p>
        <h2 id="CreatingNewAnalyticsVersion1Controls-UsingSQLquery">Using SQL query</h2>
        <p>This type of controls need to be built using SQL queries, these have the capability to save the control run results and the owner can take action on open violations. This option allows you to specify a query and select the category and sub-category based on which you want to create an analytical control. Analytical control is displayed in the category, in the Analytics History page.&#160;</p>
        <h2 id="CreatingNewAnalyticsVersion1Controls-RuntimeAnalytics">Runtime Analytics</h2>
        <p>Runtime controls provide an option to build and run controls on the go, without saving any control results.&#160;Runtime analytical controls are used to extract and fetch the live runtime data.</p>
        <h2 id="CreatingNewAnalyticsVersion1Controls-CustomAnalyticscontrol">Custom Analytics control</h2>
        <p>Custom control is an easier option for the end-user to build controls, without having to write a query as the Saviynt objects are exposed to the user, and the user can drag and drop the objects to fetch the desired results.&#160;You can as well customize the analytics being created, based on SQL query or Runtime configurations. Apart from customizing the analytics, you can customize the way in which the reports are displayed as well. The results generated using this analytic configuration are stored in the database for further reference.</p>
        <p>
            <img src="../Resources/Images/create new analytics.JPG" style="width: 596px;height: 478px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>Figure: Options while creating new Analytics Controls (both Version 1 and Version 2 )</p>
    </body>
</html>